oracle.jdbc.dcn

## Enum QueryChangeDescription.QueryChangeEventType

- java.lang.Object
- - java.lang.Enum<QueryChangeDescription.QueryChangeEventType>
  - - oracle.jdbc.dcn.QueryChangeDescription.QueryChangeEventType

All Implemented Interfaces:
  Serializable, Comparable<QueryChangeDescription.QueryChangeEventType>

Enclosing interface:
  QueryChangeDescription

    public static enum QueryChangeDescription.QueryChangeEventType
    extends Enum<QueryChangeDescription.QueryChangeEventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEREG` The query is dropped from the registration.
`QUERYCHANGE` The regular query change event type.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static QueryChangeDescription.QueryChangeEventType` `getQueryChangeEventType(int eventType)` Implementation detail (for internal use only).
`static QueryChangeDescription.QueryChangeEventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryChangeDescription.QueryChangeEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEREG

    public static final QueryChangeDescription.QueryChangeEventType DEREG

The query is dropped from the registration.

Within a registration, the server may decide to deregister only a certain subset of queries because of various reasons such as when a column is dropped, etc. The registration itself will be preserved while one or more queries are deregistered .

#### QUERYCHANGE

    public static final QueryChangeDescription.QueryChangeEventType QUERYCHANGE

The regular query change event type. The changes that affected the result of the query will be described at the table level.

### Method Detail

#### values

    public static QueryChangeDescription.QueryChangeEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryChangeDescription.QueryChangeEventType c : QueryChangeDescription.QueryChangeEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryChangeDescription.QueryChangeEventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getQueryChangeEventType

    public static final QueryChangeDescription.QueryChangeEventType getQueryChangeEventType(int eventType)

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.